<%- include header %>
<!-- Main component for a primary marketing message or call to action -->
<div class="container">
    <div class="row" style="display: none">
        <input type="text" id="lat">
        <input type="text" id="lon">
    </div>

    <div class="row" id="map" style="width: 400px;height: 400px; display: none"></div>

    <div class="panel panel-info">
        <div class="panel-heading">Own Jobs(<%= data.length %>)</div>
        <div class="panel-body">
            <% data.forEach(function(jobs){
                if(jobs.updateddAt != null){var updatedAt=jobs.updateddAt.toLocaleString();}
            %>
                <div class="well" style="font-size: small">
                    <label><%= dateFormat(jobs.lastDate,"dd-mm-yyyy") %></label>
                    <span <% if(jobs.dayRemain<=0){%> style="color:red;"<%}%> ><%= " [left "+jobs.dayRemain+"]" %></span><br>
                    <label><%= jobs.name+", "+jobs.designation %></label><br>
                    <label style="text-align: justify"><%= jobs.jobTitle %></label><br>
                    <label id="lblComments_<%= jobs.id %>" style="color: green; text-align: justify"><%= jobs.comments %></label>
                    <span class="glyphicon glyphicon-list-alt" onclick="viewComments(<%= jobs.id %>)"></span>
                    <div class="row" id="divComm_<%= jobs.id %>" style="display: none" >
                        <textarea class="form-control" id="jobComments_<%= jobs.id %>" name="jobComments_<%= jobs.id %>" rows="3"></textarea>
                        <button class="btn btn-success btn-xs" onclick="jobComments(<%= jobs.id %>)">Post</button>
                    </div>
                    <br><label style="font-size: smaller" ><%= jobs.assignByName %></label><br>
                    <label style="color: red; font-size: smaller"><%=  jobs.createdAt.toLocaleString()+", "+updatedAt  %></label>
                    <% if(jobs.assignBy==jobs.userId){%>
                    <span class="glyphicon glyphicon-ok" onclick="jobDone(<%= jobs.id %>)"></span>
                    <%}%>

                </div>
            <%}) %>
        </div>
    </div>

    <div class="panel panel-info">
        <div class="panel-heading">Followup Jobs(<%= fData.length %>)</div>
        <div class="panel-body">
            <% fData.forEach(function(jobs){
                if(jobs.updateddAt!=null){var updatedAt=jobs.updateddAt.toLocaleString();}
            %>
            <div id="id_<%=jobs.id%>" class="well" style="font-size: smaller">
                <label><%= dateFormat(jobs.lastDate,"dd-mm-yyyy") %></label>
                <span <% if(jobs.dayRemain<=0){%> style="color:red;"<%}%> ><%= " [left "+jobs.dayRemain+"]" %></span><br>
                <img src="<%= "/images/user/"+jobs.userId+".jpg" %>" class="img-circle" width="30px">
                <label><%= jobs.name+", "+jobs.designation %></label><br>
                <label style="text-align: justify"><%= jobs.jobTitle %></label><br>
                <label style="color: green; text-align: justify"><%= jobs.comments %></label>
                <% if(jobs.lat!=0){%>
                <span class="glyphicon glyphicon-eye-open" onclick="showMap(<%= jobs.lat+","+jobs.lon%>)"></span>
                <%}%>
                <br><label style="font-size: smaller"><%= jobs.assignByName %></label><br>
                <label style="color: red; font-size: smaller"><%=  jobs.createdAt.toLocaleString()+", "+updatedAt  %></label>
                <span class="glyphicon glyphicon-ok" onclick="jobDone(<%= jobs.id %>)"></span>
            </div>
            <%}) %>
        </div>
    </div>

</div>
<%- include footer %>


<script type="text/javascript">

    var x = document.getElementById("demo");

    function jobDone(id) {
        if(window.confirm("Job Done?")) {
            $.ajax({
                type: "get",
                url: "/jobDone/" + id,
                timeout: 2000,
                success: function (result) {
//                $(document.getElementById('id_' + id)).hide(500);
                    $("#id_" + id).fadeOut("fast", function () {
                        $("#id_" + id).remove();
                    });
                },
                error: function (e) {
                    //show error message
                    alert('error ' + e)
                }
            });
        }
    }

    function jobComments(id) {

        var lat=document.getElementById("lat").value;
        var lon=document.getElementById("lon").value;
        var comments=document.getElementById('jobComments_'+ id).value;

        $.ajax({
            url: "/jobComments",
            type: "post",
            data: JSON.stringify({"id": id,"comments":comments,"lat":lat,"lon":lon}),
            processData: false,
            contentType: 'application/json',
            beforeSend: function (x) {
                if (x && x.overrideMimeType) {
                    x.overrideMimeType("application/j-son;charset=UTF-8");
                }
            },
            success: function (result) {
                document.getElementById("lblComments_"+id).innerHTML=result;
                document.getElementById("jobComments_"+id).innerHTML='';
                $("#divComm_" + id).fadeOut("fast", function () {
                    $("#divComm_" + id).remove();
                });
            },
            error: function (e) {
                //show error message
                alert('error ' + e)
            }
        });
    }

    function viewComments(id) {
        document.getElementById("divComm_"+id).style.display="block"

        navigator.geolocation.getCurrentPosition(position=> {
            document.getElementById("lat").value=position.coords.latitude;
            document.getElementById("lon").value=position.coords.longitude;
        });

    }

    function showMap(lat,lon) {
//        window.location.href = "https://google.com/maps?q="+lat+","+ lon;

        document.getElementById("map").innerHTML="";
        document.getElementById("map").style.display="block";

        var mapObj = new GMaps({
            el: '#map',
            lat: lat,
            lng: lon
        });

        mapObj.addMarker({
            lat: lat,
            lng: lon
        });

    }

</script>

